Bug 1564281 (CVE-2018-9145) - CVE-2018-9145 exiv2: reachable assertion abort in the function Exiv2::DataBuf::DataBuf at include/exiv2/types.hpp
Summary: CVE-2018-9145 exiv2: reachable assertion abort in the function Exiv2::DataBuf...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-9145
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1564279 1564285
Blocks: 1564287
TreeView+ depends on / blocked
 
Reported: 2018-04-05 21:57 UTC by Laura Pardo
Modified: 2019-09-29 14:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-17 13:22:00 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-04-05 21:57:45 UTC
A flaw was found in Exiv2 0.26, there is a reachable assertion abort in the function Exiv2::DataBuf::DataBuf at include/exiv2/types.hpp.


References:
https://bugzilla.novell.com/show_bug.cgi?id=1087879

Comment 1 Laura Pardo 2018-04-05 22:06:52 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1564279]

Comment 3 Riccardo Schirone 2018-04-17 13:22:00 UTC
I couldn't reproduce the described issue.


Note You need to log in before you can comment on or make changes to this bug.